function val = z1(problem,x1,x2,t)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      mpdist3
% from  2022-04-01 



% make sure t is a scalar
assert(length(t) == 1);

% remember the size of the input and resize it
[m,n] = size(x1);
x1 = x1(:)';
x2 = x2(:)';

% evaluate the function
val = -4*pi^2*(problem.zeta + problem.eta * exp(t)) * cos(2*pi*x1) .* sin(2*pi*x2);

% reshape the output
val = reshape(val,m,n);

